Skip to main content
POST
/
datasets
/
{dataset_id}
/
pipeline
/
datasource
/
nodes
/
{node_id}
/
run
Error
A valid request URL is required to generate request examples
"<string>"

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

node_id
string
required

ID of the datasource node to execute.

Body

application/json
inputs
object
required

Input variables for the datasource node.

datasource_type
enum<string>
required

Type of the datasource.

Available options:
online_document,
local_file,
website_crawl,
online_drive
is_published
boolean
required

Whether to run the published or draft version of the node. true runs the published version, false runs the draft.

credential_id
string | null

ID of the credential to use for authentication with the datasource.

Response

Streaming response with node execution events.

Server-Sent Events stream containing node execution progress and results.